FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202011181111.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202011181111.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9a52b37 OS_GIT_VERSION=4.6.0-202011181111.p0-9a52b37 SOURCE_DATE_EPOCH=1601394915 SOURCE_GIT_COMMIT=9a52b3771d325d3025f09b1338ebb743e7ba0c4c SOURCE_GIT_TAG=9a52b37 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.6.0.20201118.120155
ENV __doozer=update BUILD_RELEASE=202011181111.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202011181111.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9a52b37 OS_GIT_VERSION=4.6.0-202011181111.p0-9a52b37 SOURCE_DATE_EPOCH=1601394915 SOURCE_GIT_COMMIT=9a52b3771d325d3025f09b1338ebb743e7ba0c4c SOURCE_GIT_TAG=9a52b37 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator/cluster-kube-storage-version-migrator-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/*_kube-storage-version-migrator-operator_*.yaml* /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-storage-version-migrator-operator" \
        com.redhat.component="ose-cluster-kube-storage-version-migrator-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-storage-version-migrator" \
        release="202011181111.p0" \
        io.openshift.build.commit.id="9a52b3771d325d3025f09b1338ebb743e7ba0c4c" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-storage-version-migrator-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-storage-version-migrator-operator/commit/9a52b3771d325d3025f09b1338ebb743e7ba0c4c" \
        version="v4.6.0"

